Skip to main content
PUT
/
iam
/
auth
/
v1
/
policies
/
{resource_key}
cURL
curl --request PUT \
  --url https://api.mottostreaming.com/iam/auth/v1/policies/{resource_key} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resource_key": "<string>",
  "policy": {
    "bindings": [
      {
        "role_id": "<string>",
        "account_ids": [
          "<string>"
        ],
        "all_organization_accounts": true
      }
    ]
  },
  "etag": "<string>"
}
'
import requests

url = "https://api.mottostreaming.com/iam/auth/v1/policies/{resource_key}"

payload = {
    "resource_key": "<string>",
    "policy": { "bindings": [
            {
                "role_id": "<string>",
                "account_ids": ["<string>"],
                "all_organization_accounts": True
            }
        ] },
    "etag": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    resource_key: '<string>',
    policy: {
      bindings: [
        {
          role_id: '<string>',
          account_ids: ['<string>'],
          all_organization_accounts: true
        }
      ]
    },
    etag: '<string>'
  })
};

fetch('https://api.mottostreaming.com/iam/auth/v1/policies/{resource_key}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{}
{
  "code": 123,
  "message": "<string>",
  "details": [
    {
      "@type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

resource_key
string
required

A resource key for which policy is being set.

For organizations, this key consists of two components: the organization ID and string "organization", joined by a forward slash. For all other resources, this key consists of three components: the resource ID, the project ID, and the resource type (e.g. "event" or project"), joined by forward slashes (for projects specifically, this contains the same resource ID twice).

Examples: For organization "example", use example/organization For project "demo", use demo/demo/project For event "r8efdFD9sMSaa93" inside the project "demo", use r8efdFD9sMSaa93/demo/event

Body

application/json
resource_key
string
required

A resource key for which policy is being set.

For organizations, this key consists of two components: the organization ID and string "organization", joined by a forward slash. For all other resources, this key consists of three components: the resource ID, the project ID, and the resource type (e.g. "event" or project"), joined by forward slashes (for projects specifically, this contains the same resource ID twice).

Examples: For organization "example", use example/organization For project "demo", use demo/demo/project For event "r8efdFD9sMSaa93" inside the project "demo", use r8efdFD9sMSaa93/demo/event

policy
object
required

New policy value to set for the resource

etag
string<bytes>

If not empty, the request succeeds only if value matches the currently stored IAM policy

Response

OK

When there is no error result is empty